.button {
  &-primary {
    border: none;
    border-radius: 1rem;
    padding: 0.75rem;
    background-color: var(--primary-background);
    color: var(--primary-text);
    cursor: pointer;
    width: 100%;
    transition: all 0.3s;
  }

  &:hover {
    background-color: var(--primary-background-hover);
  }

  &-logout {
    width: 3rem;
    height: 3rem;
    padding: 0;
    text-align: center;
    border-color: var(--primary-text);
    text-decoration: none;
    border: 1px solid transparent;
    border-radius: 50%;
    transition: all 0.3s;

    &:hover {
      background-color: var(--button-white-text-hover);
    }
  }

  &-loading {
    display: flex;
    justify-content: center;
    align-items: center;

    &-spin {
      animation: spin 2s linear infinite;
      border: 0.15rem solid var(--primary-text);
      border-top: 0.2rem solid transparent;
      border-radius: 50%;
      width: 1.5rem;
      height: 1.5rem;
    }
  }
}

.button-primary.button-disabled {
  cursor: not-allowed;
  background-color: var(--primary-button-disabled);
}
